TemplateXFcLinkedListNode< T > class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcLinkedListNode< T > Class Template Reference

Linked list node template. More...

Inheritance diagram for XFcLinkedListNode< T >:

[legend]
Collaboration diagram for XFcLinkedListNode< T >:

[legend]
List of all members.

## Public Member Functions

XFcLinkedListNode< T > * | getNext ()
| Returns pointer to next node in list.
XFcLinkedListNode< T > * | getPrev ()
| Returns pointer to previous node in list.
T | getData () const
| Returns the value of the node.
T | setData (const T aNewData)
| Sets the value of the node.
| XFcLinkedListNode ()
| Creates an empty node.
| XFcLinkedListNode (const T &aNewData)
| Creates a node with value.

## Protected Attributes

T | mData
| Value of the node.
XFcLinkedListNode< T > * | mNext
| Link to next node.
XFcLinkedListNode< T > * | mPrev
| Link to previous node.

## Friends

class | XFcLinkedList< T >

## Detailed Description

### template<class T>
class XFcLinkedListNode< T >

Linked list node template.

## Constructor & Destructor Documentation

template<class T>
XFcLinkedListNode< T >::XFcLinkedListNode | ( |  | ) |

| Creates an empty node.

template<class T>
XFcLinkedListNode< T >::XFcLinkedListNode | ( | const T & | aNewData | ) |

Creates a node with value.

Parameters:

  aNewData | value for the new node.

## Member Function Documentation

template<class T>
T XFcLinkedListNode< T >::getData | ( |  | ) | const

| Returns the value of the node.

template<class T>
XFcLinkedListNode< T > * XFcLinkedListNode< T >::getNext | ( |  | ) |

| Returns pointer to next node in list.

template<class T>
XFcLinkedListNode< T > * XFcLinkedListNode< T >::getPrev | ( |  | ) |

| Returns pointer to previous node in list.

template<class T>
T XFcLinkedListNode< T >::setData | ( | const T | aNewData | ) |

Sets the value of the node.

Parameters:

  aNewData | new value for the node.

Returns:
  default value of the data type.

## Friends And Related Function Documentation

template<class T>
friend class XFcLinkedList< T >`[friend]`

## Member Data Documentation

template<class T>
T XFcLinkedListNode< T >::mData`[protected]`

| Value of the node.

template<class T>
XFcLinkedListNode<T>* XFcLinkedListNode< T >::mNext`[protected]`

| Link to next node.

template<class T>
XFcLinkedListNode<T>* XFcLinkedListNode< T >::mPrev`[protected]`

| Link to previous node.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch